aboutsummaryrefslogtreecommitdiff
path: root/src/clean.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2012-01-30 23:43:46 -0500
committerRuss Cox <rsc@golang.org>2012-01-30 23:43:46 -0500
commit2050a9e47865450299d50d1364744b0945546dce (patch)
treecd70d8a9cc95913405ba247857613a559e6f84c0 /src/clean.bash
parent00e9a54dad85724961dce513efbc835fd8365d5e (diff)
downloadgo-2050a9e47865450299d50d1364744b0945546dce.tar.gz
go-2050a9e47865450299d50d1364744b0945546dce.zip
build: remove Make.pkg, Make.tool
Consequently, remove many package Makefiles, and shorten the few that remain. gomake becomes 'go tool make'. Turn off test phases of run.bash that do not work, flagged with $BROKEN. Future CLs will restore these, but this seemed like a big enough CL already. R=golang-dev, r CC=golang-dev https://golang.org/cl/5601057
Diffstat (limited to 'src/clean.bash')
-rwxr-xr-xsrc/clean.bash19
1 files changed, 13 insertions, 6 deletions
diff --git a/src/clean.bash b/src/clean.bash
index 4930c2533d..96fcaf795b 100755
--- a/src/clean.bash
+++ b/src/clean.bash
@@ -19,13 +19,20 @@ if [ "$1" != "--nopkg" ]; then
rm -rf "$GOROOT"/pkg/${GOOS}_$GOARCH
fi
rm -f "$GOROOT"/lib/*.a
-for i in lib9 libbio libmach cmd pkg \
- ../misc/cgo/gmp ../misc/cgo/stdio \
- ../misc/cgo/life ../misc/cgo/test \
- ../misc/dashboard/builder ../misc/goplay\
- ../doc/codelab/wiki\
- ../test/bench/shootout ../test/bench/garbage ../test/bench/go1
+for i in lib9 libbio libmach cmd
do
# Do not use gomake here. It may not be available.
$MAKE -C "$GOROOT/src/$i" clean
done
+
+if [ -x "$GOBIN/go" ]; then
+ go clean std || true # go command might not know about clean
+
+ # TODO: Make clean work in directories outside $GOPATH
+ true || go clean \
+ ../misc/cgo/gmp ../misc/cgo/stdio \
+ ../misc/cgo/life ../misc/cgo/test \
+ ../misc/dashboard/builder ../misc/goplay\
+ ../doc/codelab/wiki\
+ ../test/bench/shootout ../test/bench/garbage ../test/bench/go1
+fi